//==============================================================================
// Heap Management For Small Microcontrollers
// v1.02 (2008-09-09)
// Copyright (c) 2007, 2008, Isaac Marino Bavaresco
// isaacbavaresco@yahoo.com.br
//==============================================================================
/*
This file is part of "Heap Management For Small Microcontrollers".

    "Heap Management For Small Microcontrollers" is free software: you can
    redistribute it and/or modify it under the terms of the GNU Lesser General
    Public License as published by the Free Software Foundation, either
    version 3 of the License, or (at your option) any later version.

    "Heap Management For Small Microcontrollers" is distributed in the
    hope that it will be useful, but WITHOUT ANY WARRANTY; without even
    the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
    PURPOSE.  See the GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with "Heap Management For Small Microcontrollers". If not,
    see <http://www.gnu.org/licenses/>.
*/
//==============================================================================
/*
	This file is just an example of how to use "Heap Management For Small
	Microcontrollers".
*/
//==============================================================================
#include <alloc.h>
//==============================================================================
char RAM *v[64];
void main( void )
	{
	char i;
	char RAM *p, *q, *r;

	heapinit();

	while( 1 )
		{
		for( i = 0; i < sizeof v / sizeof v[0]; i++ )
			v[i] = malloc( 20 );
	
		p = malloc( 93 );
		q = malloc( 93 );
		r = malloc( 1 );
	
		for( i = 0; i < sizeof v / sizeof v[0]; i += 2 )
			free( v[i] );
	
		for( i = 1; i < sizeof v / sizeof v[0]; i += 2 )
			free( v[i] );
	
		free( q );
		free( p );
		free( r );
		}

	}
//==============================================================================
void		vTaskSuspendAll( void )
	{
	}
//==============================================================================
signed char	xTaskResumeAll( void )
	{
	return 0;
	}
//==============================================================================
